#1523 privoxy stopped working with tor

closed
Fabian Keil
None
5
2012-11-08
2012-11-04
Anonymous
No

hi
im working on win 7 64 bit, tor 2.2.39 +privoxy 3.019
i have a webcrawler in .net
i didnt check it for a while, but it seems to have stopped working
im not familiar enough to understand if tor stopped sending requests to privoxy or does it work the other way around
what i do know is that in the past it worked and that the same exe works on another pc with no problems
so its most probably a config issue, but i don't know what
i enabled logging, on the other pc its showing all requests 1 by 1 very nicely
on my pc all i get is this

2012-11-04 12:34:04.908 000010bc Info: Privoxy version 3.0.19
2012-11-04 12:34:04.909 000010bc Info: Program name: C:\Program Files (x86)\Privoxy\privoxy.exe
2012-11-04 12:34:04.909 000010bc Info: Loading filter file: .\default.filter
2012-11-04 12:34:04.911 000010bc Info: Loading filter file: .\user.filter
2012-11-04 12:34:04.912 000010bc Info: Loading actions file: .\match-all.action
2012-11-04 12:34:04.912 000010bc Info: Loading actions file: .\default.action
2012-11-04 12:34:04.916 000010bc Info: Loading actions file: .\user.action
2012-11-04 12:34:04.918 000010bc Info: Listening on port 8118 on IP address 127.0.0.1

tor itself i believe is ok, as the tor browser works for those same request urls
.net itslef is giving me connection timeouts
i also temporarily disabled my avg antivirus. i dont have any other AV that i know of

thank you very much

Discussion

  • Fabian Keil
    Fabian Keil
    2012-11-05

    Can you confirm that you have "debug 1" enabled?

    If you have and still aren't seeing any requests in the log it indicates that your applications aren't actually connecting to Privoxy.

    Probably you have to somehow modify your ".net crawler" configuration to configure Privoxy as HTTP proxy, or maybe it shares the proxy settings with IE.

    If you are referring to the Tor browser distributed by the Tor Project, note that it's no longer using Privoxy as proxy by default. So you would have to change that configuration as well if you want it to use Privoxy.

    Note that it's supposed to work without Privoxy just fine.

    Can you clarify what exactly isn't working as expected here and why you think this is somehow a Privoxy problem? If the applications aren't configured to use Privoxy, there's little Privoxy can do about it.

     
  • Fabian Keil
    Fabian Keil
    2012-11-05

    • assigned_to: nobody --> fabiankeil
    • status: open --> pending
     

  • Anonymous
    2012-11-06

    hi
    thank you for posting
    [A]: yes im using debug 1
    heres the relevant part of the config file

    # The available debug levels are:
    #
    debug 1 # Log the destination for each request Privoxy let through. See also debug 1024.
    # debug 2 # show each connection status
    # debug 4 # show I/O status
    # debug 8 # show header parsing
    # debug 16 # log all data written to the network
    # debug 32 # debug force feature
    # debug 64 # debug regular expression filters
    # debug 128 # debug redirects
    # debug 256 # debug GIF de-animation
    # debug 512 # Common Log Format
    debug 1024 # Log the destination for requests Privoxy didn't let through, and the reason why.
    # debug 2048 # CGI user interface
    debug 4096 # Startup banner and warnings.
    debug 8192 # Non-fatal errors
    # debug 32768 # log all data read from the network

    [B]: i haven't until now ever connected the crawler to privoxy, ive always connected it to Tor (port 8118), and Tor somehow i guess passed it to Privoxy or whatever. till a while ago it worked OK. even now on another PC its working just fine.

    [C] i referred to the Tor browser as an indication that i believe Tor to be okay. and that i believe the issue to be on the Privoxy side, but now that you mention it maybe im wrong, could it be that Tor is not passing the requests correctly to Privoxy? where can i check that?

    [D] what isn't working is as i originally wrote that all requests sent on 8118 (tor) return after a few seconds empty with a timeout error. whereas on the other machine the requests run via tor & privoxy and return with the full response

    thank you very much
    i appreciate your time and effort

     

  • Anonymous
    2012-11-08

    thank you
    after checking that tor and privoxy were working correctly
    i tried a brand new simple .net httpwebrequest, which worked!
    so then it was just a simple matter of finding the offending line of code
    i still don't know how it worked till today, but it had!
    for posterity, the offending line was
    MyRequest.Host = MainUri.Host
    if anyone knows why, im interested
    thanks again for leading me to the right direction

     

  • Anonymous
    2012-11-08

    • status: pending --> closed